package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "care_vital_signs_group")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class VitalSignsGroupDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * 数据创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "数据创建时间", required = false)
    private Long createTime;
    /**
     * 体征名称
     */
    @Column(name = "vital_signs_name")
    @ApiModelProperty(value = "体征名称", required = false)
    private String vitalSignsName;
    /**
     * 排序
     */
    @Column(name = "sort")
    @ApiModelProperty(value = "排序", required = false)
    private Integer sort;
    /**
     * 单位
     */
    @Column(name = "unit")
    @ApiModelProperty(value = "单位", required = false)
    private String unit;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public String getVitalSignsName() {
        return vitalSignsName;
    }

    public void setVitalSignsName(String vitalSignsName) {
        this.vitalSignsName = vitalSignsName;
    }


    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }


    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

}
